org.eclipse.jgit.errors

## Class TooLargePackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.TooLargePackException

All Implemented Interfaces:
  Serializable

    public class TooLargePackException
    extends IOException

Thrown when a pack exceeds a given size limit

Since:
  3.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TooLargePackException(long packSizeLimit)` Construct a too large pack exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TooLargePackException

    public TooLargePackException(long packSizeLimit)

Construct a too large pack exception.

Parameters:
  `packSizeLimit` - the pack size limit (in bytes) that was exceeded